Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

From: Meng Wei <[email-masked]>
Date: Fri, 18 Mar 2016 17:24:36 +0800

I agree IETF is not the place to discuss if this IPR disclosure is
effective or not. Regardless of the IPR,
this draft is in a good shape and deserves to be published. I cannot say
for others, but for me, I can live
 with IPR. So I’ll go for option 1.

Thanks,
Wei

> *From:* xrblock [mailto:[email-masked]
> <[email-masked]>] *On Behalf Of *Romascanu, Dan (Dan)
> * Sent:* Tuesday, March 08, 2016 8:27 PM
> * To:* [email-masked]
> * Subject:* Re: [xrblock] after the IPR Disclosure related to
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Hi,
>
> We did not receive any answer to the request for further information.
>
> At this point in time, we ask the working group to express their opinion
> about what to do with  draft-ietf-xrblock-rtcp-xr-video-lc.
>
> We have two options:
>
> 1.       Continue as planned with the approval and publication process
> 2.       Not proceed with this document.
>
> All WG participants – please express you preference for option #1 or
> option #2.
>
> Thanks and Regards,
>
> Dan
>
>
> *From:* xrblock [*mailto:[email-masked]*
> <[email-masked]>] *On Behalf Of *Romascanu, Dan (Dan)
> * Sent:* Sunday, February 07, 2016 11:29 AM
> * To:* Huangyihong (Rachel); Alan Clark; [email-masked]*
> <[email-masked]>
> * Subject:* Re: [xrblock] after the IPR Disclosure related to
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Hi,
>
> There was one answer to this mail (from Alan) expressing preference for
> option #1. Let us go with it.
>
> Rachel, it would be good if you can send your colleagues a reminder.
>
> Thanks and Regards,
>
> Dan
>
>
> *From:* xrblock [*mailto:[email-masked]*
> <[email-masked]>] *On Behalf Of *Romascanu, Dan (Dan)
> * Sent:* Friday, January 29, 2016 8:34 AM
> * To:* Huangyihong (Rachel); Alan Clark; [email-masked]*
> <[email-masked]>
> * Subject:* Re: [xrblock] after the IPR Disclosure related to
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Thanks, Rachel, for the information and for the efforts to clarify the
> issue with the legal affairs department at your company.
>
> We have a few more options about what to do next.
>
> 1.  Wait a few more weeks for an answer with further information – I
> suggest no later than February 29, 2016
> 2. Proceed with the draft given the information available
> 3. Not proceed with the draft
>
> All WG members – please express your preference.
>
> Thanks and Regards,
>
> Dan
>
>
>
>
> *From:* Huangyihong (Rachel) [*mailto:[email-masked]*
> <[email-masked]>]
> * Sent:* Friday, January 29, 2016 5:42 AM
> * To:* Huangyihong (Rachel); Alan Clark; Romascanu, Dan (Dan);
> [email-masked]* <[email-masked]>
> * Subject:* RE: [xrblock] after the IPR Disclosure related to
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Dear all,
>
> Sorry for so late response to the mailing list.
>
> I have forwarded this IPR issue to our legal affairs department
> responsible for this IPR disclosure. However, I didn’t get any information
> for now. And I’m not sure if they have any that could be shared within the
> mailing list or not (We all know that IETF policy doesn’t require the
> company to analysis and verify the applying, which is what the legal team
> or even court  should do when meeting some legal problems).
>
> Meanwhile, I can’t do any clarification for them in public since we’re
> totally different departments. It will against our company’s law. …So it’s
> not within my control. Hope WG could understand that.
>
> BR,
> Rachel
>
> *From:* xrblock [*mailto:[email-masked]*
> <[email-masked]>] *On Behalf Of *Huangyihong (Rachel)
> * Sent:* Friday, January 08, 2016 11:26 AM
> * To:* Alan Clark; Romascanu, Dan (Dan); [email-masked]*
> <[email-masked]>
> * Subject:* Re: [xrblock] after the IPR Disclosure related to
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Hi all,
>
> Sorry for the late response. I’m in a business trip these two weeks with
> sporadic email access. So I may not respond timely.
> This IPR is from another department so I’m not quite familiar with it.
> I’ll invite the colleague who’s the IPR holder or responsible for the IPR
> disclosure to clarify in the mailing list. Hope we can find some way to
> solve this issue.
>
> BR,
> Rachel
>
> *发件人:* xrblock [*mailto:[email-masked]*
> <[email-masked]>] *代表 *Alan Clark
> * 发送时间:* 2016年1月7日 0:21
> * 收件人:* Romascanu, Dan (Dan); [email-masked]* <[email-masked]>
> * 主题:* Re: [xrblock] after the IPR Disclosure related to
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Hi Dan
>
> Within the IETF patent policy there is no requirement that I'm aware of
> that requires a disclosing company to prove that the patent they reference
> does in fact apply to the draft/RFC, which means that companies could make
> disclosure statements that don't actually apply to the referenced
> draft/RFC. In many larger companies the IPR/legal team may be distant from
> the engineering team and I've seen cases in which allegations of
> infringement were made based on a text match rather than a technical
> analysis. If, as WG members, we feel that a disclosure may be inappropriate
> based on a technical understanding of the draft/RFC and the patent then
> IMHO we should be willing to politely point this out - if the disclosing
> company wants to keep the disclosure anyway then we have to leave it to
> individual implementers to obtain their own legal advice; my view is that
> as WG members and authors we should try and keep the IPR situation as clear
> as possible.
>
> I've encountered exactly this situation - my company develops software
> that analyzes voice/ audio/ video stream performance and as part of this we
> model the performance of a wide range of voice/ audio and video codecs. We
> have been contacted numerous times by companies that have codec IPR and who
> see that we analyze streams encoded with the G.xyz codec - we then have to
> explain that we don't actually implement the codec, only a parametric model.
>
> So - my position is that we should ask Rachel, as an author and a
> representative of the disclosing company, to request that Huawei verify
> that their disclosure does, in their opinion, apply.
>
> Regards
>
> Alan
>
> On 1/6/16 9:40 AM, Romascanu, Dan (Dan) wrote:
> Hi Alan,
>
> The statement that was posted a few weeks back explicitly refers to this
> I-D – see *https://datatracker.ietf.org/ipr/2725/*
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_ipr_2725_&d=BQMFbw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=kiLRy3Dy18TaCdFTLegz5r3LuHhd2B0eMVVxbhrJLt0&s=LLsGFzAZgTvcoyP_BY4A2BWWgGVV9e9ZAj16tjytCho&e=>.
> Of course, anybody can comment within the rules, but the fact that the
> disclosing company considers the IPR related to this I-D is public
> information.
>
> What is your position as WG participant and as co-author of the document?
> What should the WG do?
>
> Thanks and Regards,
>
> Dan
>
>
>
> *From:* xrblock [*mailto:[email-masked]*
> <[email-masked]>] *On Behalf Of *Alan Clark
> * Sent:* Tuesday, January 05, 2016 10:06 PM
> * To:* [email-masked]* <[email-masked]>
> * Subject:* Re: [xrblock] after the IPR Disclosure related to
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> I reviewed the patent that the disclosure related to - this appears to
> describe a method for video coding that uses loss concealment and not a
> method of reporting the effectiveness of loss concealment. It is of course
> the responsibility of the IPR holder to verify that their patent does in
> fact apply to the Draft/RFC to which their disclosure statement applies.  I
> suggest that the WG chairs ask the participants from the disclosing company
> to check to see if this disclosure is in fact relevant to the draft.
>
> Regards
>
> Alan
> On 1/5/16 7:34 AM, Romascanu, Dan (Dan) wrote:
> Hi,
>
> There were no responses to this query. Please express your opinions on the
> mail list whether we should continue as planned with the approval for this
> I-D.
>
> Possible options (other may apply):
>
> 1.       Continue as planned
> 2.       Do not continue
> 3.       Continue, but first do …
>
> Thanks and Regards,
>
> Dan
>
>
> *From:* xrblock [*mailto:[email-masked]*
> <[email-masked]>] *On Behalf Of *Romascanu, Dan (Dan)
> * Sent:* Wednesday, December 16, 2015 12:55 PM
> * To:* [email-masked]* <[email-masked]>
> * Subject:* [xrblock] after the IPR Disclosure related to
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Hi,
>
> As you may have seen an IPR disclosure that pertains to
> draft-ietf-xrblock-rtcp-xr-video-lc was submitted recently. The
> announcement on the XRBLOCK mail list with  more information can be read at
> *http://www.ietf.org/mail-archive/web/xrblock/current/msg01914.html*
> <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_mail-2Darchive_web_xrblock_current_msg01914.html&d=BQMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=JT0PNFMVTwcCOwfJFWR9rPXwWO3aXrz-8hcAnDMibu4&s=Y212mtSrLAN6yGGEigFnx-qwjZv_a0r5MpWucZswumg&e=>.
>
>
> This I-D was on the agenda of the IESG telechat this Thursday 12/17. Our
> AD decided to defer this I-D to the next telechat scheduled for January 7,
> 2016 and asked us to confirm on the mail list that the WG still plans to
> proceed with the I-D.
>
> Taking into account this new information – do the participants in the WG
> want to proceed with the approval of this Internet-Draft? Please state your
> opinions on the WG mail list until Monday January 4, 2016.
>
> Thanks and Regards,
>
> Dan
>
>
>
> _______________________________________________
> xrblock mailing list
> [email-masked]* <[email-masked]>
> *https://www.ietf.org/mailman/listinfo/xrblock*
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_xrblock&d=BQMD-g&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=QnXfHHtrCWuOTN6ltI1OQl5JKpT1vIEt5lm6yyUl-K0&s=ZDjj6FP8ei9wzWsi7L54u3cKecOhJxcBl4LP8yojwBQ&e=>
>
>
>